Bug 1046006 - Slic3r crashes on Quick Slice if multiple threads are configured
Summary: Slic3r crashes on Quick Slice if multiple threads are configured
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: slic3r
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1123638 1146704 1177679 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-23 07:48 UTC by Neil Darlow
Modified: 2015-12-02 16:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:05:09 UTC


Attachments (Terms of Use)
Fedora 21 slic3r 1.1.7 screenshot (60.94 KB, image/png)
2014-09-25 07:31 UTC, Miro Hrončok
no flags Details

Description Neil Darlow 2013-12-23 07:48:49 UTC
Description of problem:
If 2 (the default) or higher is selected in Print Settings|Advanced|Threads an error is reported and slicing fails.

Version-Release number of selected component (if applicable):
slic3r-1.0.0-0.2.RC1.fc20.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Attempt to slice a .stl file with default settings
2. Observe error and slicing failure

Actual results:
Can't locate package GLUquadricObjPtr for @OpenGL::Quad::ISA at /usr/share/perl5/vendor_perl/Slic3r.pm line 111.

Expected results:
Slicing should be performed without error.

Additional info:
Reducing the Threads value to 1 permits slicing to be performed.
I have reported this upstream as Issue #1636 at https://github.com/alexrj/Slic3r

Comment 1 Miro Hrončok 2013-12-23 11:20:07 UTC
I cannot reproduce the issue. Maybe it's some package I have installed and you don't (and that is missed as a Require). I'm trying to reproduce this in virtual environment.

Thanks for reporting this upstream.

Comment 2 Miro Hrončok 2013-12-23 11:27:05 UTC
Oh, are you using Quick slice from file menu? I can reproduce it then.

This should fix it: https://github.com/alexrj/Slic3r/commit/5470fbbebc1d4ae5eb09196fd2c36ff3515d5b6c

Comment 3 Miro Hrončok 2014-01-03 15:40:30 UTC
Here is a scratch build of slic3r 1.0.0RC.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6353379

Could you please test, if it crashes for you too, when doing a quick slice with 2+ threads?

Comment 4 Miro Hrončok 2014-01-03 15:41:01 UTC
I meant slic3r 1.0.0RC2.

Comment 5 Neil Darlow 2014-01-03 17:33:54 UTC
ABRT was invoked and reported that Perl had caught a SIGABRT.

This was with 2 threads selected and reducing threads to 1 allows Quick Slice and Save As... to work correctly.

This is proving to be quite a puzzle.

Comment 6 Miro Hrončok 2014-01-03 17:55:17 UTC
Thanks for testing it.

In the meantime, as a workaround, I recommend you either add the STL to the plater and use Export GCODE button, or if you want to be really quick, use command line interface to slice a single STL file.

Comment 7 Neil Darlow 2014-01-03 21:48:57 UTC
My desktop is a 3.3GHz 64-bit dual-core machine. I can live with just one thread for now.

Comment 8 Miro Hrončok 2014-03-05 22:27:58 UTC
slic3r 1.0.0RC3 http://koji.fedoraproject.org/koji/taskinfo?taskID=6603224

Still crashes. I think this might be in wxPerl somewhere :(

Comment 9 Miro Hrončok 2014-07-27 16:20:30 UTC
*** Bug 1123638 has been marked as a duplicate of this bug. ***

Comment 10 Miro Hrončok 2014-09-24 11:26:15 UTC
Slic3r 1.1.7 seems to remove thread option. Quick slice works.

You can test it on F21, slic3r 1.1.7 is pending to testing.

Comment 11 Neil Darlow 2014-09-24 14:48:56 UTC
I do not have F21 but I have Slic3r-1.1.7 installed from tarball on F20.

The Threads option is still there for me under Print Settings|Advanced at the bottom of the dialog.

Comment 12 Miro Hrončok 2014-09-25 07:31:51 UTC
Created attachment 940992 [details]
Fedora 21 slic3r 1.1.7 screenshot

This is what I see in F21. But running from binary tarball displays that option, as you say. Weird. Maybe a missing dependency.

Comment 13 Miro Hrončok 2014-09-25 07:37:26 UTC
Nevertheless it solves the problem, right?

Comment 14 Miro Hrončok 2014-09-25 08:00:23 UTC
lib/Slic3r.pm:    $have_threads = $Config{useithreads} && eval "use threads; use threads::shared; use Thread::Queue; 1";

I'll check these.

Comment 15 Neil Darlow 2014-09-25 12:31:43 UTC
That is a pretty big clue to what is happening.

Slic3r-1.1.7 from tarball *does not* exhibit this bug but we cannot exclude a packaging problem.

I am no Perl expert but:

&& eval "use threads; use threads::shared; use Thread::Queue; 1";

looks suspicious.

It obviously checks for various threading modules and the "1" is presumably for when none is detected but does it act as if something has been detected? I am wondering if that should actually be "0"?

Comment 16 Miro Hrončok 2014-09-25 13:20:33 UTC
1 will be evaluated only if all of those modules are loaded without error

Comment 17 Miro Hrončok 2014-09-25 19:36:34 UTC
Thread::Queue it is, when installed, it adds the option. And the crash is still there :(

Comment 18 Miro Hrončok 2014-09-25 19:51:45 UTC
*** Bug 1146704 has been marked as a duplicate of this bug. ***

Comment 19 Miro Hrončok 2014-12-30 15:19:20 UTC
*** Bug 1177679 has been marked as a duplicate of this bug. ***

Comment 20 Fedora End Of Life 2015-05-29 10:07:40 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2015-06-30 00:47:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Fedora End Of Life 2015-11-04 11:18:20 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2015-12-02 03:05:13 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.